import React from 'react';
export declare function useStateObject<T extends object>(initialState: T): {
    state: T;
    actions: InternalActions<T> & {
        set: React.Dispatch<React.SetStateAction<T>>;
    };
};
type InternalActions<T> = {
    [Property in keyof T as `set${Capitalize<Property & string>}`]: (value: T[Property]) => void;
};
export {};
